Bug 736041 - system-config-user accepts no password when creating user and sets some default
Summary: system-config-user accepts no password when creating user and sets some default
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users
Version: 19
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 13:55 UTC by Miroslav Vadkerti
Modified: 2015-02-17 13:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:52:08 UTC


Attachments (Terms of Use)

Description Miroslav Vadkerti 2011-09-06 13:55:09 UTC
Description of problem:

system-config-user accepts no password in the add user dialog, and sets a default to none (i.e. you can su to account without password). When 

Version-Release number of selected component (if applicable):
system-config-users-1.2.110-1

How reproducible:
100%

Steps to Reproduce:
1. Start system-config-user
2. Add a user
3. Enter only user name
4. Press OK
  
Actual results:
+ a dialog pops up with the text "The chosen password is too weak: it is WAY too short. Do you want to use it anyway?" :)
+ you can su to the account without a password
+ there is /etc/shadow entry is:
test:$6$F60HD7e6T0bE4Y2o$p9yL/avhPO8Fcfc2r0Pa3Ks2l6PVQTS4qXSf7JEIWgxAKJV3XEUR..X056fyPJAfc7u4utP1h7QlJxgYs87G31:15223:0:99999:7:::


Expected results:
I think the user should be added with the shadow password entry set to !! as the useradd does. Or the dialog should require a password

Comment 1 Fedora End Of Life 2013-04-03 18:09:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Jaromír Končický 2014-03-26 15:36:17 UTC
In my current version (system-config-users-1.3.5-1.fc20) the message is "The chosen password is too weak: No password supplied. Do you want to use it anyway?". So this sounds more meaningful.
I can login without a password as the created user.
Well, this seems rather to be about a point of view. If someone enters no password, then he might really intend to use no password (as he confirms the warning message).
Personally I would add some checkbox option like "Disallow logging for the user" which would add the !! (and make the password fields insensitive and ignored) and still allow logging without password if no password is entered.

Comment 3 Fedora End Of Life 2015-01-09 16:46:27 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-17 13:52:08 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.